# TdApi.PushMessageContentChatDeleteMember (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PushMessageContentChatDeleteMember

Package it.tdlight.jni

# Class TdApi.PushMessageContentChatDeleteMember

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentChatDeleteMember

Enclosing class:
  TdApi

    public static class TdApi.PushMessageContentChatDeleteMember
    extends TdApi.PushMessageContent

A chat member was deleted.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isCurrentUser` | True, if the current user was deleted from the group.
`boolean` | `isLeft` | True, if the user has left the group themselves.
`String` | `memberName` | Name of the deleted member.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PushMessageContentChatDeleteMember()` | A chat member was deleted.
`PushMessageContentChatDeleteMember​(DataInput input)` |
`PushMessageContentChatDeleteMember​(String memberName, boolean isCurrentUser, boolean isLeft)` | A chat member was deleted.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### memberName

public String memberName
Name of the deleted member.

### isCurrentUser

public boolean isCurrentUser
True, if the current user was deleted from the group.

### isLeft

public boolean isLeft
True, if the user has left the group themselves.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PushMessageContentChatDeleteMember

public PushMessageContentChatDeleteMember()
A chat member was deleted.

### PushMessageContentChatDeleteMember

public PushMessageContentChatDeleteMember​(String memberName, boolean isCurrentUser, boolean isLeft)
A chat member was deleted.

Parameters:
  `memberName` - String Name of the deleted member.
  `isCurrentUser` - boolean True, if the current user was deleted from the group.
  `isLeft` - boolean True, if the user has left the group themselves.

### PushMessageContentChatDeleteMember

public PushMessageContentChatDeleteMember​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`